package com.hai.service.impl;

import com.hai.dao.BsOperationLogMapper;
import com.hai.entity.BsOperationLog;
import com.hai.service.BsOperationLogService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Service("bsOperationLogService")
public class BsOperationLogServiceImpl implements BsOperationLogService {

    @Resource
    private BsOperationLogMapper bsOperationLogMapper;

    @Override
    public List<BsOperationLog> getListOperationLog(Map<String, Object> map) {
        return null;
    }

    @Override
    public void insertOperationLog(BsOperationLog bsOperationLog) {
        bsOperationLog.setCreateTime(new Date());
        bsOperationLog.setUpdateTime(new Date());
        bsOperationLogMapper.insert(bsOperationLog);
    }
}
